// @ts-check
import { defineConfig } from 'astro/config'
import solidJs from '@astrojs/solid-js'
import compressor from 'astro-compressor'
import robotsTxt from '@itsmatteomanf/astro-robots-txt'

export default defineConfig({
  integrations: [solidJs(), compressor({ gzip: false, brotli: true }), robotsTxt()],
  vite: {
    css: {
      transformer: 'lightningcss',
    },
  },
})
